Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class LabelModel

    java.lang.Object
      com.eltima.chart.LabelModel

All Implemented Interfaces:
  java.io.Serializable

    public class LabelModel

extends java.lang.Object
implements java.io.Serializable

The LabelModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Constructor Summary
`LabelModel()` Creates new instance of LabelModel.
`LabelModel(java.awt.Font font, java.awt.Color foreground, java.awt.Color background)` Creates new instance of LabelModel with specified font, foreground and background colors.

Method Summary
`java.lang.String` | `format(java.lang.Object o)` Returns formatted string if current format is not null, else returns object.toString() result.
`java.awt.Color` | `getBackground()` Returns the background color.
`javax.swing.border.Border` | `getBorder()` Returns the border.
`int` | `getBorderType()` Returns the border type.
`java.awt.Font` | `getFont()` Returns the font.
`java.awt.Color` | `getForeground()` Returns the foreground color.
`java.text.Format` | `getFormat()` Returns the Format.
`int` | `getShadowLength()`
`double` | `getTheta()`
`void` | `setBackground(java.awt.Color c)` Sets the background color.
`void` | `setBorderType(int type)` Sets the border type.
`void` | `setFont(java.awt.Font f)` Sets the font.
`void` | `setForeground(java.awt.Color c)` Sets the foreground color.
`void` | `setFormat(java.text.Format f)` Sets the Format.
`void` | `setShadowLength(int shadowLength)`
`void` | `setTheta(double theta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelModel

    public LabelModel()

  Creates new instance of LabelModel.

### LabelModel

    public LabelModel(java.awt.Font font,
                      java.awt.Color foreground,
                      java.awt.Color background)

  Creates new instance of LabelModel with specified font, foreground and background colors.

  Parameters:
    `font` - Font
    `foreground` - Color
    `background` - Color

Method Detail

### getBackground

    public java.awt.Color getBackground()

  Returns the background color.

  Returns:
    Color

### getBorder

    public javax.swing.border.Border getBorder()

  Returns the border.

  Returns:
    Border

### getFont

    public java.awt.Font getFont()

  Returns the font.

  Returns:
    Font

### getForeground

    public java.awt.Color getForeground()

  Returns the foreground color.

  Returns:
    Color

### setBackground

    public void setBackground(java.awt.Color c)

  Sets the background color.

  Parameters:
    `c` - Color

### setFont

    public void setFont(java.awt.Font f)

  Sets the font.

  Parameters:
    `f` - Font

### setForeground

    public void setForeground(java.awt.Color c)

  Sets the foreground color.

  Parameters:
    `c` - Color

### getBorderType

    public int getBorderType()

  Returns the border type.

  Returns:
    int

### setBorderType

    public void setBorderType(int type)

  Sets the border type.

  Parameters:
    `type` - int

### getFormat

    public java.text.Format getFormat()

  Returns the Format.

  Returns:
    Format

### setFormat

    public void setFormat(java.text.Format f)

  Sets the Format.

  Parameters:
    `f` - Format

### format

    public java.lang.String format(java.lang.Object o)

  Returns formatted string if current format is not null, else returns object.toString() result.

  Parameters:
    `o` - Object
  Returns:
    String

### getTheta

    public double getTheta()

### setTheta

    public void setTheta(double theta)

### getShadowLength

    public int getShadowLength()

### setShadowLength

    public void setShadowLength(int shadowLength)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.